##################################################################
#
#  Warning! Don't edit this file (Ioctl.pm). Any changes will
#  be lost. Edit pmproto instead.
#
##################################################################
package Ioctl;

require Exporter;
require DynaLoader;
require AutoLoader;

$VERSION = '0.81';

@ISA = qw(Exporter DynaLoader);

@EXPORT_OK = qw(
	B0
	B110
	B115200
	B134
	B150
	B153600
	B1800
	B19200
	B200
	B230400
	B2400
	B300
	B307200
	B38400
	B460800
	B4800
	B50
	B57600
	B600
	B75
	B76800
	B9600
	BRKINT
	BS0
	BS1
	BSDLY
	CBAUDEXT
	CDROMEJECT
	CDROMREADTOCHDR
	CDROMSUBCHNL
	CIBAUD
	CIBAUDEXT
	CLOCAL
	CR0
	CR1
	CR2
	CR3
	CRDLY
	CREAD
	CRTSCTS
	CRTSXOFF
	CS5
	CS6
	CS7
	CS8
	CSIZE
	CSTOPB
	ECHO
	ECHOCTL
	ECHOE
	ECHOK
	ECHOKE
	ECHONL
	ECHOPRT
	FF0
	FF1
	FFDLY
	FIOASYNC
	FIOCLEX
	FIOGETOWN
	FIONBIO
	FIONCLEX
	FIONREAD
	FIOSETOWN
	FLUSHO
	HUPCL
	ICANON
	ICRNL
	IEXTEN
	IGNCR
	IGNPAR
	IMAXBEL
	INLCR
	INPCK
	ISTRIP
	IUCLC
	IXANY
	IXOFF
	IXON
	NL0
	NL1
	NLDLY
	NOFLSH
	OCRNL
	OFDEL
	OFILL
	OLCUC
	ONLCR
	ONLRET
	ONOCR
	PARENB
	PAREXT
	PARMRK
	PARODD
	PENDIN
	SIOCATMARK
	SIOCGPGRP
	SIOCSPGRP
	TAB0
	TAB1
	TAB2
	TAB3
	TABDLY
	TCFLSH
	TCGETA
	TCGETS
	TCSBRK
	TCSETA
	TCSETAF
	TCSETAW
	TCSETS
	TCSETSF
	TCSETSW
	TCXONC
	TIOCGPGRP
	TIOCGPPS
	TIOCGPPSEV
	TIOCGSID
	TIOCGWINSZ
	TIOCMBIC
	TIOCMBIS
	TIOCMGET
	TIOCMSET
	TIOCSPGRP
	TIOCSPPS
	TIOCSWINSZ
	TOSTOP
	VDISCARD
	VDSUSP
	VEOF
	VEOL
	VEOL2
	VERASE
	VINTR
	VKILL
	VLNEXT
	VQUIT
	VREPRINT
	VSTART
	VSTOP
	VSUSP
	VSWTCH
	VT0
	VT1
	VTDLY
	VWERASE
	XCASE
	XTABS
);

%EXPORT_TAGS = (
	   ":Term" => ["VINTR","VQUIT","VERASE","VKILL","VEOF","VEOL","VEOL2","VSWTCH","VSTART","VSTOP","VSUSP","VDSUSP","VREPRINT","VDISCARD","VWERASE","VLNEXT","BRKINT","IGNPAR","PARMRK","INPCK","ISTRIP","INLCR","IGNCR","ICRNL","IUCLC","IXON","IXANY","IXOFF","IMAXBEL","OLCUC","ONLCR","OCRNL","ONOCR","ONLRET","OFILL","OFDEL","NLDLY","NL0","NL1","CRDLY","CR0","CR1","CR2","CR3","TABDLY","TAB0","TAB1","TAB2","TAB3","XTABS","BSDLY","BS0","BS1","VTDLY","VT0","VT1","FFDLY","FF0","FF1","B0","B50","B75","B110","B134","B150","B200","B300","B600","B1800","B2400","B4800","B9600","B19200","B38400","B57600","B76800","B115200","B153600","B230400","B307200","B460800","CSIZE","CS5","CS6","CS7","CS8","CSTOPB","CREAD","PARENB","PARODD","HUPCL","CLOCAL","CIBAUD","PAREXT","CRTSXOFF","CRTSCTS","CBAUDEXT","CIBAUDEXT","ICANON","XCASE","ECHO","ECHOE","ECHOK","ECHONL","NOFLSH","TOSTOP","ECHOCTL","ECHOPRT","ECHOKE","FLUSHO","PENDIN","IEXTEN","TCGETS","TCSETS","TCSETSW","TCSETSF","TCGETA","TCSETA","TCSETAW","TCSETAF","TCSBRK","TCXONC","TCFLSH","TIOCGPGRP","TIOCSPGRP","TIOCGSID","TIOCGWINSZ","TIOCSWINSZ","TIOCMBIS","TIOCMBIC","TIOCMGET","TIOCMSET","TIOCSPPS","TIOCGPPS","TIOCGPPSEV"],
   ":Routing" => [],
   ":CDROM" => ["CDROMEJECT","CDROMREADTOCHDR","CDROMSUBCHNL"],
   ":Socket" => ["SIOCATMARK","SIOCSPGRP","SIOCGPGRP"],
   ":Interface" => [],
   ":ARP" => [],
   ":File" => ["FIOCLEX","FIONCLEX","FIONBIO","FIOASYNC","FIONREAD","FIOSETOWN","FIOGETOWN"],

);

sub AUTOLOAD {
    # This AUTOLOAD is used to 'autoload' constants from the constant()
    # XS function.  If a constant is not found then control is passed
    # to the AUTOLOAD in AutoLoader.

    # NOTE: THIS AUTOLOAD FUNCTION IS FLAWED (but is the best we can do for now).
    # Avoid old-style ``&CONST'' usage. Either remove the ``&'' or add ``()''.
    if (@_ > 0) {
	$AutoLoader::AUTOLOAD = $AUTOLOAD;
	goto &AutoLoader::AUTOLOAD;
    }
    local($constname);
    ($constname = $AUTOLOAD) =~ s/.*:://;
    $val = constant($constname, @_ ? $_[0] : 0);
    if ($! != 0) {
		if(errtype()==2) {    # spelling?
			($pack,$file,$line) = caller;
			die			
"Unknown Ioctl constant $constname in $file, line $line.  If you
need this constant, please edit `/tmp/a/ports/devel/p5-Ioctl/work/Ioctl-0.81/Ioctl.def' and add
it at the end. Then, go to the /tmp/a/ports/devel/p5-Ioctl/work/Ioctl-0.81 directory, and regenerate
the Ioctl extension by typing `make install'. (You might need root privs.)

If you think this constant should be supplied by default then contact
the perl5 developers (or leave a message on comp.lang.perl).
";
		} elsif (errtype()==3) {    # disabled
			($pack,$file,$line) = caller;
			die 
			
"Ioctl constant $constname, used in $file, line $line, is explicitly
disabled. Please read the file `/tmp/a/ports/devel/p5-Ioctl/work/Ioctl-0.81/Ioctl.def' which may contain
more information.
";
		} elsif (errtype()==1) {      # missing includes
			($pack,$file,$line) = caller;
			 die 
"Ioctl constant $constname used at $file, line $line is not available.
If you know which header file to include, you can edit
`/tmp/a/ports/devel/p5-Ioctl/work/Ioctl-0.81/Ioctl.def' and then regenerate the Ioctl extension by
typing `make install'. (You might need root privs.)
";
		} else {
	    $AutoLoader::AUTOLOAD = $AUTOLOAD;
	    goto &AutoLoader::AUTOLOAD;
		}
    }
    eval "sub $AUTOLOAD { $val }";
    goto &$AUTOLOAD;
}

Ioctl->bootstrap($VERSION);

# Preloaded methods go here.

# Autoload methods go after __END__, and are processed by the autosplit program.

1;
__END__

